summaryrefslogtreecommitdiffstats
path: root/packer/provision/docker.sh
diff options
context:
space:
mode:
authorAndrew Grimberg <agrimberg@linuxfoundation.org>2017-02-07 10:48:06 -0800
committerAndrew Grimberg <agrimberg@linuxfoundation.org>2017-02-07 10:48:06 -0800
commit8ffb213159a20c622b5dfaad1362921980095ed3 (patch)
tree9b7e437fff300913b317f8d298ade210a84bd01f /packer/provision/docker.sh
parentae4643e1e8195f30c783d287ec66a9b2e8d05f39 (diff)
Make packer templates fail on any problems
Make packer templates fail on any problems and to not be quiet in their builds. Change-Id: Ieb1ef5f6f2bff711597bd7464a2676520e5fc0d8 Signed-off-by: Andrew Grimberg <agrimberg@linuxfoundation.org>
Diffstat (limited to 'packer/provision/docker.sh')
-rw-r--r--packer/provision/docker.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/packer/provision/docker.sh b/packer/provision/docker.sh
index 4ae4b4110..69c504c15 100644
--- a/packer/provision/docker.sh
+++ b/packer/provision/docker.sh
@@ -2,11 +2,14 @@
# vim: ts=4 sw=4 sts=4 et tw=72 :
+# force any errors to cause the script and job to end in failure
+set -xeu -o pipefile
+
rh_systems() {
# Assumes that python is already installed by basebuild
# Install dependencies for robotframework and robotframework-sshlibrary
- yum install -y -q yum-utils unzip sshuttle nc libffi-devel openssl-devel
+ yum install -y yum-utils unzip sshuttle nc libffi-devel openssl-devel
# Install docker
yum install -y docker supervisor bridge-utils